This queue is for tickets about the SOAP CPAN distribution.

Report information
The Basics
Id:
40518
Status:
rejected
Priority:
Low/Low
Queue:

People
Owner:
Nobody in particular
Requestors:
shibi.ns [...] gmail.com
Cc:
AdminCc:

BugTracker
Severity:
Critical
Broken in:
(no value)
Fixed in:
(no value)



Subject: CAN'T LOCATE AUTO/APACHE2/CONST/HTTP_BAD_RE.AL
I get this error from my application on a bad request an't locate auto/Apache2/Const/HTTP_BAD_RE.al in @INC (@INC contains: /home/arudemo/pm /appldev/scm/pm /arudev/tech-stack/08.09.22.02/linux/lib/perl5/5.8.8/i686-linux /arudev/tech-stack/08.09.22.02/linux/lib/perl5/5.8.8 /arudev/tech-stack/08.09.22.02/linux/lib/perl5/site_perl/5.8.8/i686-linux /arudev/tech-stack/08.09.22.02/linux/lib/perl5/site_perl/5.8.8 /arudev/tech-stack/08.09.22.02/linux/lib/perl5/site_perl /arudev/tech-stack/08.09.22.02/portable/lib/perl5/5.8.8/i686-linux /arudev/tech-stack/08.09.22.02/portable/lib/perl5/5.8.8 /arudev/tech-stack/08.09.22.02/portable/lib/perl5 /arudev/tech-stack/08.09.22.02/portable/lib/perl5/site_perl/5.8.8/i686-linux /arudev/tech-stack/08.09.22.02/portable/lib/perl5/site_perl/5.8.8 /arudev/tech-stack/08.09.22.02/portable/lib/perl5/site_perl . /arudev/tech-stack/08.09.22.02/linux) at /arudev/tech-stack/08.09.22.02/linux/lib/perl5/site_perl/5.8.8/SOAP/Transport/ HTTP.pm line 707 perl -MSOAP::Transport::HTTP -e 'print $SOAP::Transport::HTTP::VERSION,"\n"' 0.710.08 If we look into the SOAP::Transport::HTTP code and find the constants that are actually used. In this case, besides this one OK is used. However, the place where OK is used, they are explicitly loading the constants: # mod_perl 2.0 if(defined $ENV{MOD_PERL_API_VERSION} && $ENV{MOD_PERL_API_VERSION} >= 2) { require Apache2::RequestRec; require Apache2::RequestIO; require Apache2::Const; require Apache2::RequestUtil; require APR::Table; Apache2::Const->import(-compile => 'OK'); $self->{'MOD_PERL_VERSION'} = 2; $self->{OK} = &Apache2::Const::OK; } It would seem they need to add similar logic where HTTP_BAD_REQUEST is used. This would be a bug in SOAP-lite. Could you compile all required constants
CC: bug-SOAP@rt.cpan.org
Subject: [Fwd: [rt.cpan.org #40518] CAN'T LOCATE AUTO/APACHE2/CONST/HTTP_BAD_RE.AL]
Date: Thu, 30 Oct 2008 20:44:39 +0100
To: Martin Kutter via RT <bug-SOAP-Lite@rt.cpan.org>
From: Martin Kutter <martin.kutter@fen-net.de>
This one apparently is for SOAP-Lite, not SOAP.
Show quoted text
> Von: Shibi NS via RT <bug-SOAP@rt.cpan.org> > Antwort an: bug-SOAP@rt.cpan.org > An: undisclosed-recipients : ; > Betreff: [rt.cpan.org #40518] CAN'T LOCATE > AUTO/APACHE2/CONST/HTTP_BAD_RE.AL > Datum: Thu, 30 Oct 2008 02:51:47 -0400 > > Thu Oct 30 02:51:45 2008: Request 40518 was acted upon. > Transaction: Ticket created by shibi > Queue: SOAP > Subject: CAN'T LOCATE AUTO/APACHE2/CONST/HTTP_BAD_RE.AL > Broken in: (no value) > Severity: Critical > Owner: Nobody > Requestors: shibi.ns@gmail.com > Status: new > Ticket <URL: http://rt.cpan.org/Ticket/Display.html?id=40518 > > > > I get this error from my application on a bad request > > an't locate auto/Apache2/Const/HTTP_BAD_RE.al in @INC (@INC contains: > /home/arudemo/pm /appldev/scm/pm > /arudev/tech-stack/08.09.22.02/linux/lib/perl5/5.8.8/i686-linux > /arudev/tech-stack/08.09.22.02/linux/lib/perl5/5.8.8 > /arudev/tech-stack/08.09.22.02/linux/lib/perl5/site_perl/5.8.8/i686-linux > /arudev/tech-stack/08.09.22.02/linux/lib/perl5/site_perl/5.8.8 > /arudev/tech-stack/08.09.22.02/linux/lib/perl5/site_perl > /arudev/tech-stack/08.09.22.02/portable/lib/perl5/5.8.8/i686-linux > /arudev/tech-stack/08.09.22.02/portable/lib/perl5/5.8.8 > /arudev/tech-stack/08.09.22.02/portable/lib/perl5 > /arudev/tech-stack/08.09.22.02/portable/lib/perl5/site_perl/5.8.8/i686-linux > /arudev/tech-stack/08.09.22.02/portable/lib/perl5/site_perl/5.8.8 > /arudev/tech-stack/08.09.22.02/portable/lib/perl5/site_perl . > /arudev/tech-stack/08.09.22.02/linux) at > /arudev/tech-stack/08.09.22.02/linux/lib/perl5/site_perl/5.8.8/SOAP/Transport/ > HTTP.pm line 707 > > perl -MSOAP::Transport::HTTP -e 'print > $SOAP::Transport::HTTP::VERSION,"\n"' > 0.710.08 > > > If we look into the SOAP::Transport::HTTP code and find the constants > that are actually used. In this case, besides this one OK is used. > However, the place where OK is used, they are explicitly loading the > constants: > > > # mod_perl 2.0 > if(defined $ENV{MOD_PERL_API_VERSION} && $ENV{MOD_PERL_API_VERSION} >= 2) > { > require Apache2::RequestRec; > require Apache2::RequestIO; > require Apache2::Const; > require Apache2::RequestUtil; > require APR::Table; > Apache2::Const->import(-compile => 'OK'); > $self->{'MOD_PERL_VERSION'} = 2; > $self->{OK} = &Apache2::Const::OK; > } > > It would seem they need to add similar logic where HTTP_BAD_REQUEST is > used. This would be a bug in SOAP-lite. > > Could you compile all required constants > > >
CC: bug-SOAP@rt.cpan.org
Subject: [Fwd: [rt.cpan.org #40518] CAN'T LOCATE AUTO/APACHE2/CONST/HTTP_BAD_RE.AL]
Date: Thu, 30 Oct 2008 20:44:39 +0100
To: Martin Kutter via RT <bug-SOAP-Lite@rt.cpan.org>
From: Martin Kutter <martin.kutter@fen-net.de>
This one apparently is for SOAP-Lite, not SOAP.
Show quoted text
> Von: Shibi NS via RT <bug-SOAP@rt.cpan.org> > Antwort an: bug-SOAP@rt.cpan.org > An: undisclosed-recipients : ; > Betreff: [rt.cpan.org #40518] CAN'T LOCATE > AUTO/APACHE2/CONST/HTTP_BAD_RE.AL > Datum: Thu, 30 Oct 2008 02:51:47 -0400 > > Thu Oct 30 02:51:45 2008: Request 40518 was acted upon. > Transaction: Ticket created by shibi > Queue: SOAP > Subject: CAN'T LOCATE AUTO/APACHE2/CONST/HTTP_BAD_RE.AL > Broken in: (no value) > Severity: Critical > Owner: Nobody > Requestors: shibi.ns@gmail.com > Status: new > Ticket <URL: http://rt.cpan.org/Ticket/Display.html?id=40518 > > > > I get this error from my application on a bad request > > an't locate auto/Apache2/Const/HTTP_BAD_RE.al in @INC (@INC contains: > /home/arudemo/pm /appldev/scm/pm > /arudev/tech-stack/08.09.22.02/linux/lib/perl5/5.8.8/i686-linux > /arudev/tech-stack/08.09.22.02/linux/lib/perl5/5.8.8 > /arudev/tech-stack/08.09.22.02/linux/lib/perl5/site_perl/5.8.8/i686-linux > /arudev/tech-stack/08.09.22.02/linux/lib/perl5/site_perl/5.8.8 > /arudev/tech-stack/08.09.22.02/linux/lib/perl5/site_perl > /arudev/tech-stack/08.09.22.02/portable/lib/perl5/5.8.8/i686-linux > /arudev/tech-stack/08.09.22.02/portable/lib/perl5/5.8.8 > /arudev/tech-stack/08.09.22.02/portable/lib/perl5 > /arudev/tech-stack/08.09.22.02/portable/lib/perl5/site_perl/5.8.8/i686-linux > /arudev/tech-stack/08.09.22.02/portable/lib/perl5/site_perl/5.8.8 > /arudev/tech-stack/08.09.22.02/portable/lib/perl5/site_perl . > /arudev/tech-stack/08.09.22.02/linux) at > /arudev/tech-stack/08.09.22.02/linux/lib/perl5/site_perl/5.8.8/SOAP/Transport/ > HTTP.pm line 707 > > perl -MSOAP::Transport::HTTP -e 'print > $SOAP::Transport::HTTP::VERSION,"\n"' > 0.710.08 > > > If we look into the SOAP::Transport::HTTP code and find the constants > that are actually used. In this case, besides this one OK is used. > However, the place where OK is used, they are explicitly loading the > constants: > > > # mod_perl 2.0 > if(defined $ENV{MOD_PERL_API_VERSION} && $ENV{MOD_PERL_API_VERSION} >= 2) > { > require Apache2::RequestRec; > require Apache2::RequestIO; > require Apache2::Const; > require Apache2::RequestUtil; > require APR::Table; > Apache2::Const->import(-compile => 'OK'); > $self->{'MOD_PERL_VERSION'} = 2; > $self->{OK} = &Apache2::Const::OK; > } > > It would seem they need to add similar logic where HTTP_BAD_REQUEST is > used. This would be a bug in SOAP-lite. > > Could you compile all required constants > > >
Subject: Re: [rt.cpan.org #40518] CAN'T LOCATE AUTO/APACHE2/CONST/HTTP_BAD_RE.AL
Date: Thu, 30 Oct 2008 20:49:20 +0100
To: bug-SOAP@rt.cpan.org
From: Martin Kutter <martin.kutter@fen-net.de>
This is a duplicate of https://rt.cpan.org/Ticket/Display.html?id=39101 (aside from being in the wrong queue).


This service runs on Request Tracker, is sponsored by The Perl Foundation, and maintained by Best Practical Solutions.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.